package org.example.steps;

import com.microsoft.playwright.Browser;
import com.microsoft.playwright.BrowserType;
import com.microsoft.playwright.Page;
import com.microsoft.playwright.Playwright;
import io.cucumber.java.en.Given;
import io.cucumber.java.en.Then;
import io.cucumber.java.en.When;
import org.example.TestContext;
import org.example.pages.Home;
import org.example.pages.Login;
import org.junit.Assert;

public class LoginSteps {
    Login login;
    Home home;
    TestContext testContext = new TestContext("webkit", true);
    Page page = testContext.page;

    @Given("User launched SwagLabs application")
    public void setUp() {
        page.navigate("https://www.saucedemo.com/");
        home = new Home(page);
        login = new Login(page);
    }
    @When("User verify the Page title")
    public void verifyPageTitle() {
        String title = login.verifyTitle();
        Assert.assertEquals(title, "Swag Labs");

    }
    //Login into the application
    @When("User logged in the app using username {string} and password {string}")
    public void loginIntoTheApplication(String username,String password ) {
        login.loginIntoApplication(username, password);
    }
    //Verify product name after login
    @Then("User verify the product name {string}")
    public void verifyProductsName(String productname) {
        String productName = home.getProductName();
        Assert.assertEquals(productName, productname);

    }
    //Logout from application
    @Then("User logout from the application")
    public void logoutFromApplication() {
        login.logoutApplication();}
}
